#include <bits/stdc++.h>
using namespace std;
int main()
{
    int b,c;
    cin>>b>>c;
    if(b+c<256)
    {
        cout<<min(256-c,256-b);
    }
    else
    {
        cout<<0;
    }
    return 0;
}